Number Verification V1

authorize (Authorization Code)

OAuth 2.0 / OpenID Connect authorization endpoint for Number Verification v1. Returns 302 Found redirecting the user-agent to the Operator Authorization Server.

get
https://api.pxg.konera.com/camara/api/auth/v1/authorize

Query Parameters

response_typestringrequired

Example:code

scopestringrequired

Example:openid dpv:FraudPreventionAndDetection number-verification:verify offline_access

client_idstringrequired
login_hintstring

Login hint, e.g., tel:+34666666666 (URL-encoded when used).

statestring
redirect_uristring(uri)required
promptstring

Example:none

konera_contextstring

Optional Konera context, typically containing ipv4/ipv6 hints (URL-encoded), e.g. ipv4:142.115.147.143,ipv6:2001:4860:7:f04::fe

Response

Redirect to Operator Authorization Server.

get/api/auth/v1/authorize
 

token (Authorization Code Exchange)

OAuth 2.0 token endpoint to exchange authorization code for access token (CAMARA style).

post
https://api.pxg.konera.com/camara/api/auth/v1/token

Body

application/x-www-form-urlencoded

TokenRequest

grant_typestringrequired

Allowed values:authorization_code

Example:authorization_code

codestringrequired

Authorization code received from authorize endpoint

redirect_uristring(uri)required

Must match the redirect URI used in the authorize request

client_idstringrequired

Client identifier

client_secretstringrequired

Client secret

Response

application/json

OK

TokenResponse

access_tokenstringrequired

Access token for API calls

token_typestringrequired

Allowed values:Bearer

Example:Bearer

expires_inintegerrequired

Token expiration time in seconds

Example:3600

scopestringrequired

Granted scopes

Example:openid number-verification:verify

refresh_tokenstring

Refresh token if offline_access was requested

id_tokenstring

OpenID Connect ID token if openid scope was requested

post/api/auth/v1/token

Body

{ "grant_type": "authorization_code", "code": "code", "redirect_uri": "redirect_uri", "client_id": "client_id", "client_secret": "client_secret" }
 
application/json

phoneNumberVerifyV1

Verifies whether the phone number provided matches the number currently allocated to the SIM in the end user’s device. Returns a boolean result in devicePhoneNumberVerified.

post
https://api.pxg.konera.com/camara/api/number-verification/v1/verify

Headers

x-correlation-idstring

Correlation ID for request tracing

Example:b4333c46-49c0-4f62-80d7-f0ef930f1c46

Body

application/json

PhoneNumberVerifyRequest

phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Response

application/json

OK

NumberVerificationResult

devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring | null(date-time)

Timestamp when verification was performed

post/api/number-verification/v1/verify

Body

{ "phoneNumber": "+919036499174" }
 
application/json

PhoneNumberVerifyRequest

object
phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Example

NumberVerificationResult

object
devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring(date-time)

Timestamp when verification was performed

Example